guessencoding-1.4-alt2_16jpp8.noarch.rpm


Advertisement

Description

guessencoding - Guess encoding of files and return configured reader

Property Value
Distribution ALT Linux Sisyphus
Repository Classic noarch
Package filename guessencoding-1.4-alt2_16jpp8.noarch.rpm
Package name guessencoding
Package version 1.4
Package release alt2_16jpp8
Package architecture noarch
Package type rpm
Category Development/Other
Homepage -
License -
Maintainer -
Download size 10.63 KB
Installed size 10.63 KB
The purpose of this library is to "guess" the encoding of files, and retrieve
a reader that is properly configured to use the right encoding as guessed.
The library is able to recognize the various Unicode encoding variants:
* UTF-8
* UTF-16LE - Low Endian
* UTF-16BE - Big Endian
* UTF-32
If a Unicode encoding isn't recognized, it's an 8-bit encoding. If the 8-bit
encoding is not US-ASCII, the default platform 8-bit encoding is assumed
whatever it is. However, the library cannot guess between different 8-bit
encodings. Only statistical analysis, n-grams and similar techniques specific
to each language used in those files can help guessing the encoding, but this
is not supported by the library.

Alternatives

Package Version Architecture Repository
guessencoding - - -

Requires

Name Value
javapackages-tools -
jpackage-utils -
rpmlib(PayloadIsLzma) -

Provides

Name Value
guessencoding = 1.4-alt2_16jpp8:sisyphus+221714.100.1.1
mvn(org.codehaus.guessencoding:guessencoding) = 1.4
mvn(org.codehaus.guessencoding:guessencoding:pom:) = 1.4

Download

Type URL
Mirror ftp.altlinux.org
Binary Package guessencoding-1.4-alt2_16jpp8.noarch.rpm
Source Package guessencoding-1.4-alt2_16jpp8.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install guessencoding rpm package:
    # sudo apt-get install guessencoding

Files

Path
/usr/share/java/guessencoding/guessencoding.jar
/usr/share/maven-metadata/guessencoding.xml
/usr/share/maven-poms/guessencoding/guessencoding.pom

Changelog

2019-02-05 - Igor Vlasenko <viy@altlinux.ru> 1.4-alt2_16jpp8
- fc29 update
2018-04-19 - Igor Vlasenko <viy@altlinux.ru> 1.4-alt2_15jpp8
- java update
2017-11-09 - Igor Vlasenko <viy@altlinux.ru> 1.4-alt2_14jpp8
- fc27 update
2017-10-22 - Igor Vlasenko <viy@altlinux.ru> 1.4-alt2_13jpp8
- new jpp release
2016-11-22 - Igor Vlasenko <viy@altlinux.ru> 1.4-alt2_12jpp8
- new fc release
2016-02-02 - Igor Vlasenko <viy@altlinux.ru> 1.4-alt2_11jpp8
- new version
2014-09-08 - Igor Vlasenko <viy@altlinux.ru> 1.4-alt2_8jpp7
- new release
2014-07-28 - Igor Vlasenko <viy@altlinux.ru> 1.4-alt2_7jpp7
- new release
2014-07-14 - Igor Vlasenko <viy@altlinux.ru> 1.4-alt2_4jpp7
- NMU rebuild to move poms and fragments
2012-09-17 - Igor Vlasenko <viy@altlinux.ru> 1.4-alt1_4jpp7
- new version

See Also

Package Description
guessencoding-javadoc-1.4-alt2_16jpp8.noarch.rpm Javadocs for guessencoding
guest-account-1.0-alt1.noarch.rpm Guest session support in LightDM
guice-assistedinject-4.1-alt1_12jpp8.noarch.rpm AssistedInject extension module for Guice
guice-bom-4.1-alt1_12jpp8.noarch.rpm Bill of Materials for Guice
guice-extensions-4.1-alt1_12jpp8.noarch.rpm Extensions for Guice
guice-grapher-4.1-alt1_12jpp8.noarch.rpm Grapher extension module for Guice
guice-jmx-4.1-alt1_12jpp8.noarch.rpm JMX extension module for Guice
guice-jndi-4.1-alt1_12jpp8.noarch.rpm JNDI extension module for Guice
guice-multibindings-4.1-alt1_12jpp8.noarch.rpm MultiBindings extension module for Guice
guice-parent-4.1-alt1_12jpp8.noarch.rpm Guice parent POM
guice-persist-4.1-alt1_12jpp8.noarch.rpm Persist extension module for Guice
guice-servlet-4.1-alt1_12jpp8.noarch.rpm Servlet extension module for Guice
guice-spring-4.1-alt1_12jpp8.noarch.rpm Spring extension module for Guice
guice-testlib-4.1-alt1_12jpp8.noarch.rpm TestLib extension module for Guice
guice-throwingproviders-4.1-alt1_12jpp8.noarch.rpm ThrowingProviders extension module for Guice
Advertisement
Advertisement